Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.addressbook
Class PhoneInfo

    java.lang.Object
      portlets.compoze.groupware.addressbook.PhoneInfo

All Implemented Interfaces:
  java.io.Serializable

public class PhoneInfo
extends java.lang.Object
implements java.io.Serializable

This class represents the phone information for a contact.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `PhoneInfo.PhoneType` This class represents the type of phone.

Constructor Summary
`PhoneInfo()` Constructor.
`PhoneInfo(java.lang.String sPhoneNumber, PhoneInfo.PhoneType phoneType)` Constructor.

Method Summary
`java.lang.String` | `getPhoneNumber()` Gets the phone number of the contact.
`PhoneInfo.PhoneType` | `getPhoneType()` Gets the phone number type.
`void` | `setPhoneNumber(java.lang.String sPhoneNumber)` Sets the phone number of the contact.
`void` | `setPhoneType(PhoneInfo.PhoneType phoneType)` Sets the phone number type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhoneInfo

    public PhoneInfo()

  Constructor.

### PhoneInfo

    public PhoneInfo(java.lang.String sPhoneNumber,
                     PhoneInfo.PhoneType phoneType)

  Constructor.

Parameters:
  `sPhoneNumber` - the phone number
  `phoneType` - the phone number type

Method Detail

### getPhoneNumber

    public java.lang.String getPhoneNumber()

  Gets the phone number of the contact.

  Returns:
    the phone number

### setPhoneNumber

    public void setPhoneNumber(java.lang.String sPhoneNumber)

  Sets the phone number of the contact.

  Parameters:
    `sPhoneNumber` - the phone number

### getPhoneType

    public PhoneInfo.PhoneType getPhoneType()

  Gets the phone number type.

  Returns:
    the phone number type

### setPhoneType

    public void setPhoneType(PhoneInfo.PhoneType phoneType)

  Sets the phone number type.

  Parameters:
    `phoneType` - the phone number type (may not be null)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.